{
  "_from": "babel-plugin-dynamic-import-node@^2.3.3",
  "_id": "babel-plugin-dynamic-import-node@2.3.3",
  "_inBundle": false,
  "_integrity": "sha512-jZVI+s9Zg3IqA/kdi0i6UDCybUI3aSBLnglhYbSSjKlV7yF1F/5LWv8MakQmvYpnbJDS6fcBL2KzHSxNCMtWSQ==",
  "_location": "/babel-plugin-dynamic-import-node",
  "_phantomChildren": {},
  "_requested": {
    "type": "range",
    "registry": true,
    "raw": "babel-plugin-dynamic-import-node@^2.3.3",
    "name": "babel-plugin-dynamic-import-node",
    "escapedName": "babel-plugin-dynamic-import-node",
    "rawSpec": "^2.3.3",
    "saveSpec": null,
    "fetchSpec": "^2.3.3"
  },
  "_requiredBy": [
    "/@babel/plugin-transform-modules-amd",
    "/@babel/plugin-transform-modules-commonjs",
    "/@babel/plugin-transform-modules-systemjs"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/babel-plugin-dynamic-import-node/-/babel-plugin-dynamic-import-node-2.3.3.tgz",
  "_shasum": "84fda19c976ec5c6defef57f9427b3def66e17a3",
  "_spec": "babel-plugin-dynamic-import-node@^2.3.3",
  "_where": "/root/farzoom/eco-ebg/node_modules/@babel/plugin-transform-modules-amd",
  "author": {
    "name": "Jordan Gensler",
    "email": "jordan.gensler@airbnb.com"
  },
  "bugs": {
    "url": "https://github.com/airbnb/babel-plugin-dynamic-import-node/issues"
  },
  "bundleDependencies": false,
  "dependencies": {
    "object.assign": "^4.1.0"
  },
  "deprecated": false,
  "description": "Babel plugin to transpile import() to a deferred require(), for node",
  "devDependencies": {
    "@babel/core": "^7.9.0",
    "@babel/plugin-external-helpers": "^7.8.3",
    "@babel/plugin-transform-template-literals": "^7.8.3",
    "@babel/preset-env": "^7.9.5",
    "airbnb-js-shims": "^2.2.1",
    "babel-cli": "^6.26.0",
    "babel-core": "^6.26.3",
    "babel-eslint": "^9.0.0",
    "babel-plugin-add-module-exports": "^0.2.1",
    "babel-plugin-external-helpers": "^6.22.0",
    "babel-plugin-transform-es2015-template-literals": "^6.22.0",
    "babel-plugin-transform-replace-object-assign": "^1.0.0",
    "babel-preset-airbnb": "^2.6.0",
    "babel-preset-es2015": "^6.24.1",
    "babel-register": "^6.26.0",
    "eslint": "^6.8.0",
    "eslint-config-airbnb-base": "^14.1.0",
    "eslint-plugin-import": "^2.20.2",
    "in-publish": "^2.0.1",
    "rimraf": "^2.7.1",
    "safe-publish-latest": "^1.1.4",
    "tape": "^5.0.0-next.5"
  },
  "directories": {
    "test": "test"
  },
  "homepage": "https://github.com/airbnb/babel-plugin-dynamic-import-node#readme",
  "keywords": [
    "babel",
    "plugin",
    "dynamic",
    "import",
    "node"
  ],
  "license": "MIT",
  "main": "lib/index.js",
  "name": "babel-plugin-dynamic-import-node",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/airbnb/babel-plugin-dynamic-import-node.git"
  },
  "scripts": {
    "build": "babel src --out-dir lib",
    "check-changelog": "expr $(git status --porcelain 2>/dev/null| grep \"^\\s*M.*CHANGELOG.md\" | wc -l) >/dev/null || (echo 'Please edit CHANGELOG.md' && exit 1)",
    "check-only-changelog-changed": "(expr $(git status --porcelain 2>/dev/null| grep -v \"CHANGELOG.md\" | wc -l) >/dev/null && echo 'Only CHANGELOG.md may have uncommitted changes' && exit 1) || exit 0",
    "clean": "rimraf lib",
    "lint": "eslint .",
    "postversion": "git commit package.json CHANGELOG.md -m \"v$npm_package_version\" && npm run tag && git push && git push --tags",
    "prebuild": "npm run clean",
    "prepublish": "not-in-publish || (safe-publish-latest && npm run build)",
    "pretest": "npm run lint",
    "preversion": "npm run test && npm run check-changelog && npm run check-only-changelog-changed",
    "tag": "git tag v$npm_package_version",
    "test": "npm run tests-only",
    "tests-only": "tape --require airbnb-js-shims --require babel-register test",
    "version:major": "npm --no-git-tag-version version major",
    "version:minor": "npm --no-git-tag-version version minor",
    "version:patch": "npm --no-git-tag-version version patch"
  },
  "version": "2.3.3"
}
